# Get search data

> Get search data

Source: https://docs.applivery.com/en/api/platform/search-feature/get-search/

---

# Get search data

Get search data

No request body.

**Request:** `GET https://api.applivery.io/v1/search`

## OpenAPI specification

Machine-readable endpoint definition (dereferenced OpenAPI operation).

```json
{
  "method": "GET",
  "path": "/search",
  "baseUrl": "https://api.applivery.io/v1",
  "servers": [
    {
      "url": "https://api.applivery.io/v1"
    }
  ],
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "auth": {
    "type": "http",
    "scheme": "bearer",
    "header": "Authorization",
    "format": "Bearer <token>"
  },
  "parameters": [
    {
      "name": "search",
      "description": "",
      "in": "query",
      "required": true,
      "schema": {
        "type": "string",
        "maxLength": 256
      }
    },
    {
      "name": "noCached",
      "description": "",
      "in": "query",
      "required": false,
      "schema": {
        "type": "boolean"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "status": {
                "type": "boolean"
              },
              "data": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              4002
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "No auth token"
                            ]
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              4004
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Invalid Token"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    }
  }
}
```
